Subject: Re: bug#4321: 23.1; bell is not terminal specific

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 08 Jul 2010 20:10:30 -0400

Tom Tromey <[email-masked]> writes:

> I use ssh + emacsclient -t on my laptop to let me use my primary emacs
> from another room.
>
> I typed C-g here, and was surprised to hear a noise coming from the
> other room.
>
> I think that maybe visible-bell and ring-bell-function should be
> terminal-local.

It's possible that this bug was fixed by:

2010-07-05  Jan Djrv  <[email-masked]>

      * xterm.c (XTring_bell, XTset_terminal_window): Fix wrong prototype.

Can you please verify ?

Thanks